| Classes | Functions | DevRef | Qt API | Qtopia Documentation |

# Resource Class Reference

The Resource class provides access to named resources. More...

`#include <resource.h>`

List of all member functions.

## Static Public Members

- QImage loadImage ( const QString & name )
- QPixmap loadPixmap ( const QString & pix )
- QBitmap loadBitmap ( const QString & pix )
- QString findPixmap ( const QString & pix )
- QIconSet loadIconSet ( const QString & name )
- QString findSound ( const QString & name )
- QStringList allSounds ()

## Detailed Description

The Resource class provides access to named resources.

The resources may be provided from files or other sources.

The allSounds() function returns a list of all the sounds available. A particular sound can be searched for using findSound().

Images can be loaded with loadImage(), loadPixmap(), loadBitmap() and loadIconSet().

## Member Function Documentation

### QStringList Resource::allSounds ()`[static]`

Returns a list of all sound names.

### QString Resource::findPixmap ( const QString & pix )`[static]`

Returns the filename of a pixmap called pix. You should avoid including any filename type extension (e.g. .png, .xpm).

Normally you will use loadPixmap() rather than this function.

### QString Resource::findSound ( const QString & name )`[static]`

Returns a sound file for a sound called name. You should avoid including any filename type extension (e.g. .wav, .au, .mp3).

### QBitmap Resource::loadBitmap ( const QString & pix )`[static]`

Returns the QBitmap called pix. You should avoid including any filename type extension (e.g. .png, .xpm).

### QIconSet Resource::loadIconSet ( const QString & name )`[static]`

Returns a QIconSet for the pixmap named name. A disabled icon is generated that conforms to the Qtopia look & feel. You should avoid including any filename type extension (eg. .png, .xpm).

### QImage Resource::loadImage ( const QString & name )`[static]`

Returns the QImage called name. You should avoid including any filename type extension (e.g. .png, .xpm).

### QPixmap Resource::loadPixmap ( const QString & pix )`[static]`

Returns the QPixmap called pix. You should avoid including any filename type extension (e.g. .png, .xpm).

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.